commit:     11cda4ac89ac238fc503c218965d2c91ce99cbdf
Author:     Jimi Huotari <chiitoo <AT> gentoo <DOT> org>
AuthorDate: Fri Dec  4 02:11:23 2020 +0000
Commit:     Jimi Huotari <chiitoo <AT> gentoo <DOT> org>
CommitDate: Fri Dec  4 02:38:26 2020 +0000
URL:        https://gitweb.gentoo.org/repo/proj/wine.git/commit/?id=11cda4ac

app-emulation/wine-staging: remove USE="ncurses"

Upstream has removed the curses backend.

- https://source.winehq.org/git/wine.git/commit/05628e169db

Package-Manager: Portage-3.0.11, Repoman-3.0.2
Signed-off-by: Jimi Huotari <chiitoo <AT> gentoo.org>

 app-emulation/wine-staging/wine-staging-5.22-r2.ebuild | 6 ++----
 app-emulation/wine-staging/wine-staging-9999.ebuild    | 6 ++----
 2 files changed, 4 insertions(+), 8 deletions(-)

diff --git a/app-emulation/wine-staging/wine-staging-5.22-r2.ebuild 
b/app-emulation/wine-staging/wine-staging-5.22-r2.ebuild
index f8a2a07..00e7c18 100644
--- a/app-emulation/wine-staging/wine-staging-5.22-r2.ebuild
+++ b/app-emulation/wine-staging/wine-staging-5.22-r2.ebuild
@@ -44,7 +44,7 @@ fi
 
 LICENSE="LGPL-2.1"
 SLOT="${PV}"
-IUSE="+abi_x86_32 +abi_x86_64 +alsa capi cups custom-cflags dos elibc_glibc 
+faudio +fontconfig +gcrypt +gecko gphoto2 gsm gssapi gstreamer +jpeg kerberos 
kernel_FreeBSD +lcms ldap mingw +mono mp3 ncurses netapi nls odbc openal opencl 
+opengl osmesa oss +perl pcap pipelight +png prelink pulseaudio +realtime 
+run-exes samba scanner sdl selinux +ssl staging test themes +threads +truetype 
udev +udisks +unwind v4l vaapi vkd3d vulkan +X +xcomposite xinerama +xml"
+IUSE="+abi_x86_32 +abi_x86_64 +alsa capi cups custom-cflags dos elibc_glibc 
+faudio +fontconfig +gcrypt +gecko gphoto2 gsm gssapi gstreamer +jpeg kerberos 
kernel_FreeBSD +lcms ldap mingw +mono mp3 netapi nls odbc openal opencl +opengl 
osmesa oss +perl pcap pipelight +png prelink pulseaudio +realtime +run-exes 
samba scanner sdl selinux +ssl staging test themes +threads +truetype udev 
+udisks +unwind v4l vaapi vkd3d vulkan +X +xcomposite xinerama +xml"
 REQUIRED_USE="|| ( abi_x86_32 abi_x86_64 )
        X? ( truetype )
        elibc_glibc? ( threads )
@@ -86,7 +86,6 @@ COMMON_DEPEND="
        lcms? ( media-libs/lcms:2=[${MULTILIB_USEDEP}] )
        ldap? ( net-nds/openldap:=[${MULTILIB_USEDEP}] )
        mp3? ( >=media-sound/mpg123-1.5.0[${MULTILIB_USEDEP}] )
-       ncurses? ( >=sys-libs/ncurses-5.2:0=[${MULTILIB_USEDEP}] )
        netapi? ( net-fs/samba[netapi(+),${MULTILIB_USEDEP}] )
        nls? ( sys-devel/gettext[${MULTILIB_USEDEP}] )
        odbc? ( dev-db/unixODBC:=[${MULTILIB_USEDEP}] )
@@ -471,7 +470,6 @@ multilib_src_configure() {
                $(use_with capi)
                $(use_with lcms cms)
                $(use_with cups)
-               $(use_with ncurses curses)
                $(use_with udisks dbus)
                $(use_with faudio)
                $(use_with fontconfig)
@@ -576,7 +574,7 @@ multilib_src_install_all() {
        fi
 
        # Remove wineconsole if neither backend is installed #551124
-       if ! use X && ! use ncurses; then
+       if ! use X; then
                rm "${D%/}${MY_PREFIX}"/bin/wineconsole* || die
                rm "${D%/}${MY_MANDIR}"/man1/wineconsole* || die
 

diff --git a/app-emulation/wine-staging/wine-staging-9999.ebuild 
b/app-emulation/wine-staging/wine-staging-9999.ebuild
index 0e9414c..ccde3bd 100644
--- a/app-emulation/wine-staging/wine-staging-9999.ebuild
+++ b/app-emulation/wine-staging/wine-staging-9999.ebuild
@@ -44,7 +44,7 @@ fi
 
 LICENSE="LGPL-2.1"
 SLOT="${PV}"
-IUSE="+abi_x86_32 +abi_x86_64 +alsa capi cups custom-cflags dos elibc_glibc 
+faudio +fontconfig +gcrypt +gecko gphoto2 gsm gssapi gstreamer +jpeg kerberos 
kernel_FreeBSD +lcms ldap mingw +mono mp3 ncurses netapi nls odbc openal opencl 
+opengl osmesa oss +perl pcap pipelight +png prelink pulseaudio +realtime 
+run-exes samba scanner sdl selinux +ssl staging test themes +threads +truetype 
udev +udisks +unwind v4l vaapi vkd3d vulkan +X +xcomposite xinerama +xml"
+IUSE="+abi_x86_32 +abi_x86_64 +alsa capi cups custom-cflags dos elibc_glibc 
+faudio +fontconfig +gcrypt +gecko gphoto2 gsm gssapi gstreamer +jpeg kerberos 
kernel_FreeBSD +lcms ldap mingw +mono mp3 netapi nls odbc openal opencl +opengl 
osmesa oss +perl pcap pipelight +png prelink pulseaudio +realtime +run-exes 
samba scanner sdl selinux +ssl staging test themes +threads +truetype udev 
+udisks +unwind v4l vaapi vkd3d vulkan +X +xcomposite xinerama +xml"
 REQUIRED_USE="|| ( abi_x86_32 abi_x86_64 )
        X? ( truetype )
        elibc_glibc? ( threads )
@@ -86,7 +86,6 @@ COMMON_DEPEND="
        lcms? ( media-libs/lcms:2=[${MULTILIB_USEDEP}] )
        ldap? ( net-nds/openldap:=[${MULTILIB_USEDEP}] )
        mp3? ( >=media-sound/mpg123-1.5.0[${MULTILIB_USEDEP}] )
-       ncurses? ( >=sys-libs/ncurses-5.2:0=[${MULTILIB_USEDEP}] )
        netapi? ( net-fs/samba[netapi(+),${MULTILIB_USEDEP}] )
        nls? ( sys-devel/gettext[${MULTILIB_USEDEP}] )
        odbc? ( dev-db/unixODBC:=[${MULTILIB_USEDEP}] )
@@ -471,7 +470,6 @@ multilib_src_configure() {
                $(use_with capi)
                $(use_with lcms cms)
                $(use_with cups)
-               $(use_with ncurses curses)
                $(use_with udisks dbus)
                $(use_with faudio)
                $(use_with fontconfig)
@@ -575,7 +573,7 @@ multilib_src_install_all() {
        fi
 
        # Remove wineconsole if neither backend is installed #551124
-       if ! use X && ! use ncurses; then
+       if ! use X; then
                rm "${D%/}${MY_PREFIX}"/bin/wineconsole* || die
                rm "${D%/}${MY_MANDIR}"/man1/wineconsole* || die
 

Reply via email to